Bug 134179 - consolehelper always has a zero exit status
consolehelper always has a zero exit status
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: usermode (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Bacovsky
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-29 19:46 EDT by jmccann
Modified: 2015-01-14 18:19 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-16 10:35:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jmccann 2004-09-29 19:46:36 EDT
Description of problem:
consolehelper always has a zero exit status

Version-Release number of selected component (if applicable):
RHEL3 (1.68-5) and FC2 (1.70-2)

How reproducible:
Always

Steps to Reproduce:
1. run redhat-config-date or system-config-date
2. Click cancel or repeatedly click OK with no password in dialog
3. echo $? or echo $status
  
Actual results:
Always exits with zero

Expected results:
Should be some way to determine programmatically that the command was
not run.
Comment 1 Toralf 2005-10-26 08:02:02 EDT
Also, I think, it ought to pass error status through when the command starts,
but exits unsuccessfully.

That fact that it doesn't is causing me trouble when using
redhat-install-packages in a scripting context.

To reproduce, try:

1. redhat-install-packages
   (No arguments!)
2. Enter correct root password and click OK.

Result:
1. redhat-install-packages says
   No Files Specified
   Please specify files to install
2. Exit status is 0

Expected result:
1. As above.
2. Exit status is 1
   (This is what I get if I do 'su -c /usr/sbin/redhat-install-packages')
Comment 7 Martin Bacovsky 2006-08-16 10:34:27 EDT
This bug is reporting the same thing as some others before. But solving this bug
would need some redesign of usermode. Usermede uses return codes for reporting
its own return status (not return status of its child). We need to return return
codes from child instead plus one aditional return code for usermode failure
with details in syslog. The change will not be located on one place and might be
quite complex. I think it is too big change for an update and suggest to fix
that in rawhide instead.
Comment 8 RHEL Product and Program Management 2006-08-16 10:35:48 EDT
Development Management has reviewed and declined this request.  You may appeal this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.